WKS4Format Class Reference documentation

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | Friends | List of all members
WKS4Format Class Reference

This class parses Lotus format file. More...

`#include <WKS4Format.h>`

## Public Member Functions
| WKS4Format (WKS4Parser &parser, RVNGInputStreamPtr const &input)
| constructor More...
| ~WKS4Format ()
| destructor More...
bool | parse ()
| try to parse an input More...

## Protected Member Functions
bool | checkFilePosition (long pos)
| return true if the pos is in the file, update the file size if need More...
bool | checkHeader (bool strict=false)
| format zone ////////////////////////////// checks if the document header is correct (or not) More...
bool | readZones ()
| finds the different zones More...
bool | readZone ()
| reads a zone More...
bool | readFontName ()
| reads a format font name: zones 0xae More...
bool | readFontSize ()
| reads a format font sizes zones 0xaf and 0xb1 More...
bool | readFontId ()
| reads a format font id zone: 0xb0 More...

## Private Member Functions
| WKS4Format (WKS4Format const &orig)=delete
WKS4Format & | operator= (WKS4Format const &orig)=delete
libwps::DebugFile & | ascii ()
| returns the debug file More...

## Private Attributes
RVNGInputStreamPtr | m_input
| the input More...
WKS4Parser & | m_mainParser
| the main parser More...
std::shared_ptr< WKS4FormatInternal::State > | m_state
| the internal state More...
libwps::DebugFile | m_asciiFile
| the ascii file More...

## Friends
class | WKS4Parser

## Detailed Description

This class parses Lotus format file.

## Constructor & Destructor Documentation

## ◆ WKS4Format() [1/2]

WKS4Format::WKS4Format | ( | WKS4Parser & | parser,
|  | RVNGInputStreamPtr const & | input
| ) |  |
| explicit

constructor

## ◆ ~WKS4Format()

WKS4Format::~WKS4Format | ( |  | ) |

destructor

## ◆ WKS4Format() [2/2]

WKS4Format::WKS4Format | ( | WKS4Format const & | orig | ) |
| privatedelete

## Member Function Documentation

## ◆ ascii()

libwps::DebugFile& WKS4Format::ascii | ( |  | ) |
| inlineprivate

returns the debug file

Referenced by checkHeader(), parse(), readFontId(), readFontName(), readFontSize(), readZone(), and readZones().

## ◆ checkFilePosition()

bool WKS4Format::checkFilePosition | ( | long | pos | ) |
| protected

return true if the pos is in the file, update the file size if need

Referenced by checkHeader(), readZone(), and readZones().

## ◆ checkHeader()

bool WKS4Format::checkHeader | ( | bool | strict = `false` | ) |
| protected

format zone ////////////////////////////// checks if the document header is correct (or not)

Referenced by parse().

## ◆ operator=()

WKS4Format& WKS4Format::operator= | ( | WKS4Format const & | orig | ) |
| privatedelete

## ◆ parse()

bool WKS4Format::parse | ( |  | ) |

try to parse an input

Referenced by WKS4Parser::parseFormatStream().

## ◆ readFontId()

bool WKS4Format::readFontId | ( |  | ) |
| protected

reads a format font id zone: 0xb0

Referenced by readZone().

## ◆ readFontName()

bool WKS4Format::readFontName | ( |  | ) |
| protected

reads a format font name: zones 0xae

Referenced by readZone().

## ◆ readFontSize()

bool WKS4Format::readFontSize | ( |  | ) |
| protected

reads a format font sizes zones 0xaf and 0xb1

Referenced by readZone().

## ◆ readZone()

bool WKS4Format::readZone | ( |  | ) |
| protected

reads a zone

Referenced by checkHeader(), and readZones().

## ◆ readZones()

bool WKS4Format::readZones | ( |  | ) |
| protected

finds the different zones

Referenced by parse().

## Friends And Related Function Documentation

## ◆ WKS4Parser

friend class WKS4Parser
| friend

## Member Data Documentation

## ◆ m_asciiFile

libwps::DebugFile WKS4Format::m_asciiFile
| private

the ascii file

Referenced by ascii().

## ◆ m_input

RVNGInputStreamPtr WKS4Format::m_input
| private

the input

Referenced by checkFilePosition(), checkHeader(), parse(), readFontId(), readFontName(), readFontSize(), readZone(), and readZones().

## ◆ m_mainParser

WKS4Parser& WKS4Format::m_mainParser
| private

the main parser

## ◆ m_state

std::shared_ptr<WKS4FormatInternal::State> WKS4Format::m_state
| private

the internal state

Referenced by checkFilePosition(), checkHeader(), readFontId(), readFontName(), and readFontSize().

The documentation for this class was generated from the following files:

- WKS4Format.h
- WKS4Format.cpp